﻿.header--shallow {
    min-height: 316px;
    background: #241d33 url('../../images/no-image11.png') repeat-y right top;
}

.header--teal {
    background-color: #241d33;
}

.o-bg--teal {
    background: #241d33 url('../../images/no-image11.png') repeat-y right -37px;
}

.t-mega, h1 {
    font-family: Open Sans,Arial,sans-serif;
    font-size: 48px;
    font-weight: 700;
    letter-spacing: 0;
    color: #fff;
}

.header--shallow .header__text {
    max-width: 80%;
}

.header--shallow .header__title span {
    padding-top: 20px;
    padding-bottom: 60px;
    display: block;
    font-size: 21px;
    font-weight: 400;
}

input.c-search-bar__input:focus {
    outline: 2px solid #8e8e8e;
}

.c-btn.course-search-submit {
    margin-bottom: 0;
    width: 30%;
}

.c-tabs {
    margin-top: 0px;
}

.c-card__inner {
    width: 100%;
}

.c-card__image {
    height: 155px; /* 250px with image */
    background: #241d33 url('../../images/courses-cards-bg-no-image.png') no-repeat right top;
    position: relative;
    border-top: 30px solid #e7e3e1;
    margin-right: 20px;
}

    .c-card__image img {
        position: absolute;
        top: -30px;
        left: 50%;
        transform: translateX(-50%);
        width: auto;
        display: none; /* temporary fix */
    }

.c-card__text ul {
    list-style: none; /* Remove default bullets */
}

    .c-card__text ul li {
        font-size: 14px;
        border-bottom: 2px solid #e8e8e8;
        padding-left: 18px;
        padding-bottom: 10px;
        margin-left: 0;
    }

        .c-card__text ul li::before {
            content: "\2022"; /* Add content: \2022 is the CSS Code/unicode for a bullet */
            color: #74c066; /* Change the color */
            font-weight: bold; /* If you want it to be bold */
            display: inline-block; /* Needed to add space between the bullet and the text */
            width: 1em; /* Also needed for space (tweak if needed) */
            margin-left: -1em; /* Also needed for space (tweak if needed) */
        }

.c-card__tag {
    background-color: #ededed;
    color: #000;
    font-weight: 700;
    padding: 8px 15px;
    display: inline-block;
}

.academic-year-select-wrapper {
    position: relative;
    display: inline-block;
    user-select: none;
}

.academic-year-select {
    position: relative;
    cursor: pointer;
}

.academic-year-select-trigger {
    background-color: #d8d3e7;
    border: 1px solid #ccc;
    font-size: 14px;
    line-height: 1.5384615385;
    padding: 0.5em 0.9em 0.5em 0.7em;
    font-weight: 600;
}

.academic-year-options {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background-color: #fff;
    border: 1px solid #ccc;
    z-index: 10;
    font-size: 14px;
}

.academic-year-option {
    padding: 0.5em 0.7em;
    cursor: pointer;
    display: block;
}

    .academic-year-option:hover {
        background-color: #ededed;
    }

    .academic-year-option[aria-selected="true"] {
        background-color: #d8d3e7;
    }

.academic-year-select.open .academic-year-options {
    display: block;
}

.academic-year-arrow {
    border: solid #000;
    border-width: 0 1px 1px 0;
    display: inline-block;
    padding: 3px;
    margin-left: 20px;
}

.down {
    transform: rotate(45deg);
    margin-bottom: 3px;
}

.academic-year-select.open .academic-year-arrow {
    transform: rotate(-135deg);
    margin-bottom: 0;
}

.search-filters {
    display: block;
    align-items: unset;
}

#people-search .dropdown-menu label input[type="checkbox"], #people-search .dropdown-menu label input[type="radio"], input[type="checkbox"], input[type="radio"] {
    margin-right: 10px;
}

#people-search .search-filters__submit--search:not(.search-filters__submit--mobile) {
    transition: 0.6s ease-in-out;
}

#people-search .search-filters__heading {
    float: left;
    padding-top: 15px;
    padding-right: 12px;
}

#people-search .search-filters-list {
    display: flex;
    flex-wrap: wrap;
    align-items: baseline;
    margin: 0;
    padding: 0;
    list-style: none;
    gap: 6px;
}

    #people-search .search-filters-list li {
        margin-left: 0;
    }

        #people-search .search-filters-list li.search-filter-tab:first-of-type {
            z-index: 1039;
        }

        #people-search .search-filters-list li.search-filter-tab:nth-of-type(2) {
            z-index: 1038;
        }

        #people-search .search-filters-list li.search-filter-tab:nth-of-type(3) {
            z-index: 1037;
        }

        #people-search .search-filters-list li.search-filter-tab:nth-of-type(4) {
            z-index: 1036;
        }

        #people-search .search-filters-list li.search-filter-tab:nth-of-type(5) {
            z-index: 1035;
        }

    #people-search .search-filters-list .search-filter-tab {
        flex: auto;
        position: relative;
        max-width: none;
        padding: 0;
        margin-left: 0;
    }

    #people-search .search-filters-list > :first-child {
        padding-left: 0;
    }

    #people-search .search-filters-list > * {
        display: inline-block;
        margin-right: 1ex;
        padding-left: 1ex;
        line-height: 1.5;
    }

#people-search a.search-filter-title {
    background-color: #fff;
    font-size: 14px;
    line-height: 1.5384615385;
    display: block;
    padding: 0.5em 0.7em;
    font-weight: 600;
    border: 1px solid #ccc;
    cursor: pointer;
    color: #000;
    text-decoration: none;
}

    #people-search a.search-filter-title.is-active {
        position: relative;
        width: 100%;
        background-color: #fff;
        border-color: #fff;
    }

        #people-search a.search-filter-title.is-active:after {
            content: "";
            position: absolute;
            z-index: -1;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            box-shadow: 0 0 1em rgba(0, 0, 0, 0.3);
        }

#people-search .icon-filters-arrow {
    background-image: url(https://www.uwe.ac.uk/assets/img/arrow-sprite.png);
    background-position: 0 0;
    width: 15px;
    height: 12px;
    position: relative;
    top: 0.5em;
    float: right;
}

#people-search .search-filter-title.is-active .icon-filters-arrow {
    background-position: 0 12px;
}

#people-search .dropdown-menu {
    left: auto;
    width: auto;
    min-width: 100%;
    max-width: none;
    padding: 1em;
    background-color: #fff;
    overflow: visible;
    z-index: -1;
    box-shadow: 0 0 1em rgba(0, 0, 0, 0.3);
    opacity: 1;
    position: absolute;
    float: left;
}

    #people-search .dropdown-menu label {
        font-size: 14px;
        line-height: 1.5;
        display: block;
        cursor: pointer;
        color: #000;
        font-weight: 400;
        padding-left: 25px;
    }

        #people-search .dropdown-menu label input {
            margin-left: -25px;
        }

#people-search .c-tabpanel__content {
    max-height: 325px;
    overflow-y: auto;
}

#people-search .c-tab-filters__label {
    min-width: 60px;
}

#people-search .c-tab-filters .c-tab-filters__dp {
    min-width: 160px;
}

#people-search.c-tab-filters input[type="text"] {
    height: 40px;
    padding: 8px 16px;
    margin-bottom: 5px;
}

    #people-search.c-tab-filters input[type="text"]:after {
        top: 0;
    }

#people-search .search-filters__submit--search {
    padding-top: 0;
    display: block;
}

    #people-search .search-filters__submit--search:after {
        height: 0;
    }

#people-search .c-btn--filters {
    font-size: 16px;
    font-weight: 400;
    line-height: 1.25;
    width: 100%;
    margin-top: 20px;
    margin-bottom: 0;
    border: 2px solid #000;
    background: #fff;
}

#people-search .search-filters__submit.is-active .c-btn--filters {
    background: #fdc300;
}

#people-search .search-filters-selected {
    border-top: 0;
    border: 1px dashed #bbb;
    padding: 10px 15px 5px;
    margin: 10px 10px 0 0;
}

#people-search .search-filters-selected__tag {
    font-family: Open Sans, Arial, sans-serif;
    padding: 6px 16px;
    background-color: #5d586f;
    color: #fff;
    font-size: 13px;
    line-height: 1.5;
    border: 1px solid #ededed;
    cursor: pointer;
    margin-bottom: 5px;
}

    #people-search .search-filters-selected__tag:after {
        font-style: normal;
        font-weight: 800;
        content: "X";
        margin-left: 1em;
        vertical-align: top;
    }

#people-search .search-filters-selected__tag--not-listed {
    background-color: #fe9272;
    color: #000;
    font-weight: 600;
}

#people-search .search-filters-selected__reset-btn {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    align-self: flex-end;
    line-height: 1.5;
    font-family: Open Sans, Arial, sans-serif;
    font-weight: 600;
    background: #fdc300;
    cursor: pointer;
    border: 1px solid #000;
    text-decoration: none;
    display: block;
    font-size: 14px;
    white-space: nowrap;
    margin-bottom: 5px;
    padding: 6px 16px;
    font-size: 13px;
}

    #people-search .search-filters-selected__reset-btn:hover {
        background: #000;
        color: #fff;
    }

#people-search .search-results__results-txt {
    margin: 20px 0 0;
}

p.c-card__date {
    word-break: break-word;
}
/*Additional styling for filter selections*/

#people-search .search-filters-list li.search-filter-tab .dropdown-menu {
    min-width: 400px;
    max-width: 450px;
}

#people-search li .dropdown-menu label:has(input:disabled) {
    color: #aaa;
    pointer-events: none;
}

.search-filters-outer {
    margin-top: -20px
}

.view-options {
    display: flex;
    justify-content: center;
    gap: 10px;
    align-items: center;
    flex-wrap: wrap;
}

    .view-options img {
        margin: 4px
    }

a.view-selected {
    background: #fff;
}

.view-options-wrapper {
    display: flex;
    padding: 10px 0;
    justify-content: center;
    align-items: center;
    margin-bottom: -35px;
    padding-top: 25px;
    gap: 50px;
    flex-wrap: wrap;
}

label.clearing-switch {
    position: relative;
    display: inline-block;
    width: 160px;
    height: 30px;
    margin: 1px 0 1px 44px;
    color: #000;
    font-size: 16px;
    line-height: 2;
    font-weight: 400;
}

    label.clearing-switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }

.clearing-slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

    .clearing-slider:before {
        position: absolute;
        content: "";
        height: 20px;
        width: 20px;
        left: 4px;
        bottom: 4px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
    }

input:checked + .clearing-slider {
    background-color: #6bc3cb;
}

    input:checked + .clearing-slider:before {
        -webkit-transform: translateX(20px);
        -ms-transform: translateX(20px);
        transform: translateX(20px);
    }

.clearing-slider.round {
    border-radius: 30px;
}

.clearing-slider.round {
    border-radius: 15px;
    width: 50px;
    margin-left: -44px;
    border: 1px solid #999;
}

    .clearing-slider.round:before {
        border-radius: 50%;
    }

.c-card__clearing {
    display: inline-block;
    margin-top: 30px;
    background: #6bc3cb;
    padding: 4px 20px;
    color: #000;
    font-weight: 600;
    font-size: 14px;
}

.az-list__clearing {
    display: inline-block;
    background: #6bc3cb;
    padding: 3px 12px;
    color: #000;
    font-weight: 600;
    font-size: 14px;
    margin-left: 10px;
}

.c-card__image {
    height: 149px;
}


@media screen and (max-width: 640px) {
    .search-filters-outer {
        margin-top: 10px
    }
}

@media screen and (max-width: 1038px) {
    .header__title {
        font-size: 44px;
    }

    .header--shallow .header__title span {
        font-size: 19px;
    }
}

@media screen and (max-width: 959px) {
    .header--shallow {
        min-height: 260px;
        height: auto;
        background: #241d33 url(../../images/no-image11.png) repeat-y left top;
    }

    .o-bg--teal {
        background: #241d33 url(../../images/no-image11.png) repeat-y left -43px;
    }
}

@media screen and (max-width: 846px) {
    .header--search {
        height: auto;
    }

    .c-btn.course-search-submit {
        width: 40%;
    }

    .c-search-bar__input {
        width: 60%;
    }
}

@media screen and (max-width: 768px) {
    .c-btn.course-search-submit {
        width: 100%;
        padding: 20px
    }

    .c-search-bar__input {
        width: 100%;
    }

    #people-search .search-filters__heading {
        float: none;
    }

    #people-search .search-filters-list .search-filter-tab {
        margin-left: 0;
    }
}

@media screen and (max-width: 640px) {
    #people-search .search-filters-list, #people-search .search-filters-list > * {
        display: block;
    }

    #people-search .search-filters__submit--search:not(.search-filters__submit--mobile) {
        display: block !important;
    }

    #people-search .search-filters-selected__reset {
        position: relative;
        margin-top: 20px;
    }

    #people-search .dropdown-menu {
        width: 100%;
        position: relative;
        float: none;
    }

    #people-search .search-filters-list li.search-filter-tab:nth-of-type(2) .dropdown-menu {
        min-width: unset;
        max-width: unset;
    }
}

@media screen and (max-width: 560px) and (min-width: 0) {
    .header__title {
        font-size: 36px;
    }

    .header--shallow .header__title span {
        font-size: 17px;
    }
}
